# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libarchive
pkgver=3.6.1
pkgrel=1
pkgdesc="Multi-format archive and compression library"
arch=('x86_64')
url="https://libarchive.org/"
license=('BSD')
groups=('base')
depends=('acl' 'bzip2' 'expat' 'openssl' 'xz' 'zlib' 'zstd')
source=(https://github.com/${pkgname}/${pkgname}/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(5a411aceb978f43e626f0c2d1812ddd8807b645ed892453acabd532376c148e6)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} \
        --disable-static     \
        --without-xml2       \
        --without-nettle     \

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
